: Class PjName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjName

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjName

All Implemented Interfaces:
  java.lang.Cloneable

public class PjName
extends PjObject

A representation of the PDF name type.

Field Summary
`static PjName` | `AA`
`static PjName` | `ACROFORM`
`static PjName` | `ANNOTS`
`static PjName` | `AP`
`static PjName` | `ASCENT`
`static PjName` | `ASCII85DECODE`
`static PjName` | `ASCIIHEXDECODE`
`static PjName` | `AUTHOR`
`static PjName` | `AVGWIDTH`
`static PjName` | `B`
`static PjName` | `BASEENCODING`
`static PjName` | `BASEFONT`
`static PjName` | `CAPHEIGHT`
`static PjName` | `CATALOG`
`static PjName` | `CCITTFAXDECODE`
`static PjName` | `CHARSET`
`static PjName` | `COLORSPACE`
`static PjName` | `CONTENTS`
`static PjName` | `COUNT`
`static PjName` | `CREATIONDATE`
`static PjName` | `CREATOR`
`static PjName` | `CROPBOX`
`static PjName` | `DA`
`static PjName` | `DCTDECODE`
`static PjName` | `DECODEPARMS`
`static PjName` | `DESCENT`
`static PjName` | `DESTS`
`static PjName` | `DIFFERENCES`
`static PjName` | `DR`
`static PjName` | `DUR`
`static PjName` | `DV`
`static PjName` | `ENCODING`
`static PjName` | `ENCRYPT`
`static PjName` | `EXTGSTATE`
`static PjName` | `F`
`static PjName` | `FDECODEPARMS`
`static PjName` | `FF`
`static PjName` | `FFILTER`
`static PjName` | `FIELDS`
`static PjName` | `FILTER`
`static PjName` | `FIRSTCHAR`
`static PjName` | `FLAGS`
`static PjName` | `FLATEDECODE`
`static PjName` | `FONT`
`static PjName` | `FONTBBOX`
`static PjName` | `FONTDESCRIPTOR`
`static PjName` | `FONTFILE`
`static PjName` | `FONTFILE2`
`static PjName` | `FONTFILE3`
`static PjName` | `FONTNAME`
`static PjName` | `FT`
`static PjName` | `H`
`static PjName` | `HID`
`static PjName` | `I`
`static PjName` | `ID`
`static PjName` | `IMAGEB`
`static PjName` | `IMAGEC`
`static PjName` | `IMAGEI`
`static PjName` | `INFO`
`static PjName` | `ITALICANGLE`
`static PjName` | `KEYWORDS`
`static PjName` | `KIDS`
`static PjName` | `LASTCHAR`
`static PjName` | `LEADING`
`static PjName` | `LENGTH`
`static PjName` | `LZWDECODE`
`static PjName` | `MAXLEN`
`static PjName` | `MAXWIDTH`
`static PjName` | `MEDIABOX`
`static PjName` | `MISSINGWIDTH`
`static PjName` | `MODDATE`
`static PjName` | `N`
`static PjName` | `NAME`
`static PjName` | `NAMES`
`static PjName` | `O`
`static PjName` | `OPENACTION`
`static PjName` | `OPT`
`static PjName` | `OUTLINES`
`static PjName` | `P`
`static PjName` | `PAGE`
`static PjName` | `PAGEMODE`
`static PjName` | `PAGES`
`static PjName` | `PARENT`
`static PjName` | `PATTERN`
`static PjName` | `PDF`
`static PjName` | `PREV`
`static PjName` | `PROCSET`
`static PjName` | `PRODUCER`
`static PjName` | `PROPERTIES`
`static PjName` | `Q`
`static PjName` | `RECT`
`static PjName` | `RESOURCES`
`static PjName` | `ROOT`
`static PjName` | `ROTATE`
`static PjName` | `RUNLENGTHDECODE`
`static PjName` | `STEMH`
`static PjName` | `STEMV`
`static PjName` | `SUBJECT`
`static PjName` | `SUBTYPE`
`static PjName` | `TEXT`
`static PjName` | `THREADS`
`static PjName` | `THUMB`
`static PjName` | `TITLE`
`static PjName` | `TOPINDEX`
`static PjName` | `TRANS`
`static PjName` | `TYPE`
`static PjName` | `TYPE1`
`static PjName` | `URI`
`static PjName` | `V`
`static PjName` | `VIEWERPREFERENCES`
`static PjName` | `W`
`static PjName` | `WIDTHS`
`static PjName` | `XHEIGHT`
`static PjName` | `XOBJECT`

Constructor Summary
`PjName(java.lang.String s)` Creates a name object.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`boolean` | `equals(java.lang.Object obj)` Compares two PjName objects for equality.
`java.lang.String` | `getString()` Returns the string value of this object.
`int` | `hashCode()` Returns a hash code value for the object.
`long` | `writePdf(java.io.OutputStream os)` Writes this name to a stream in PDF format.

Methods inherited from class com.etymon.pj.object.PjObject
`renumber`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AA

    public static final PjName AA

### ACROFORM

    public static final PjName ACROFORM

### ANNOTS

    public static final PjName ANNOTS

### AP

    public static final PjName AP

### ASCENT

    public static final PjName ASCENT

### ASCII85DECODE

    public static final PjName ASCII85DECODE

### ASCIIHEXDECODE

    public static final PjName ASCIIHEXDECODE

### AUTHOR

    public static final PjName AUTHOR

### AVGWIDTH

    public static final PjName AVGWIDTH

### B

    public static final PjName B

### BASEENCODING

    public static final PjName BASEENCODING

### BASEFONT

    public static final PjName BASEFONT

### CAPHEIGHT

    public static final PjName CAPHEIGHT

### CATALOG

    public static final PjName CATALOG

### CCITTFAXDECODE

    public static final PjName CCITTFAXDECODE

### CHARSET

    public static final PjName CHARSET

### COLORSPACE

    public static final PjName COLORSPACE

### CONTENTS

    public static final PjName CONTENTS

### COUNT

    public static final PjName COUNT

### CREATIONDATE

    public static final PjName CREATIONDATE

### CREATOR

    public static final PjName CREATOR

### CROPBOX

    public static final PjName CROPBOX

### DA

    public static final PjName DA

### DCTDECODE

    public static final PjName DCTDECODE

### DECODEPARMS

    public static final PjName DECODEPARMS

### DESCENT

    public static final PjName DESCENT

### DESTS

    public static final PjName DESTS

### DIFFERENCES

    public static final PjName DIFFERENCES

### DR

    public static final PjName DR

### DUR

    public static final PjName DUR

### DV

    public static final PjName DV

### ENCODING

    public static final PjName ENCODING

### ENCRYPT

    public static final PjName ENCRYPT

### EXTGSTATE

    public static final PjName EXTGSTATE

### F

    public static final PjName F

### FDECODEPARMS

    public static final PjName FDECODEPARMS

### FIELDS

    public static final PjName FIELDS

### FF

    public static final PjName FF

### FFILTER

    public static final PjName FFILTER

### FILTER

    public static final PjName FILTER

### FIRSTCHAR

    public static final PjName FIRSTCHAR

### FLAGS

    public static final PjName FLAGS

### FLATEDECODE

    public static final PjName FLATEDECODE

### FONT

    public static final PjName FONT

### FONTBBOX

    public static final PjName FONTBBOX

### FONTDESCRIPTOR

    public static final PjName FONTDESCRIPTOR

### FONTFILE

    public static final PjName FONTFILE

### FONTFILE2

    public static final PjName FONTFILE2

### FONTFILE3

    public static final PjName FONTFILE3

### FONTNAME

    public static final PjName FONTNAME

### FT

    public static final PjName FT

### H

    public static final PjName H

### HID

    public static final PjName HID

### I

    public static final PjName I

### ID

    public static final PjName ID

### IMAGEB

    public static final PjName IMAGEB

### IMAGEC

    public static final PjName IMAGEC

### IMAGEI

    public static final PjName IMAGEI

### INFO

    public static final PjName INFO

### ITALICANGLE

    public static final PjName ITALICANGLE

### KEYWORDS

    public static final PjName KEYWORDS

### KIDS

    public static final PjName KIDS

### LASTCHAR

    public static final PjName LASTCHAR

### LEADING

    public static final PjName LEADING

### LENGTH

    public static final PjName LENGTH

### LZWDECODE

    public static final PjName LZWDECODE

### MAXLEN

    public static final PjName MAXLEN

### MAXWIDTH

    public static final PjName MAXWIDTH

### MEDIABOX

    public static final PjName MEDIABOX

### MISSINGWIDTH

    public static final PjName MISSINGWIDTH

### MODDATE

    public static final PjName MODDATE

### N

    public static final PjName N

### NAME

    public static final PjName NAME

### NAMES

    public static final PjName NAMES

### O

    public static final PjName O

### OPENACTION

    public static final PjName OPENACTION

### OPT

    public static final PjName OPT

### OUTLINES

    public static final PjName OUTLINES

### P

    public static final PjName P

### PAGE

    public static final PjName PAGE

### PAGEMODE

    public static final PjName PAGEMODE

### PAGES

    public static final PjName PAGES

### PARENT

    public static final PjName PARENT

### PATTERN

    public static final PjName PATTERN

### PDF

    public static final PjName PDF

### PREV

    public static final PjName PREV

### PROCSET

    public static final PjName PROCSET

### PRODUCER

    public static final PjName PRODUCER

### PROPERTIES

    public static final PjName PROPERTIES

### Q

    public static final PjName Q

### RECT

    public static final PjName RECT

### RESOURCES

    public static final PjName RESOURCES

### ROOT

    public static final PjName ROOT

### ROTATE

    public static final PjName ROTATE

### RUNLENGTHDECODE

    public static final PjName RUNLENGTHDECODE

### STEMH

    public static final PjName STEMH

### STEMV

    public static final PjName STEMV

### SUBJECT

    public static final PjName SUBJECT

### SUBTYPE

    public static final PjName SUBTYPE

### TEXT

    public static final PjName TEXT

### THUMB

    public static final PjName THUMB

### THREADS

    public static final PjName THREADS

### TITLE

    public static final PjName TITLE

### TOPINDEX

    public static final PjName TOPINDEX

### TRANS

    public static final PjName TRANS

### TYPE

    public static final PjName TYPE

### TYPE1

    public static final PjName TYPE1

### URI

    public static final PjName URI

### V

    public static final PjName V

### VIEWERPREFERENCES

    public static final PjName VIEWERPREFERENCES

### W

    public static final PjName W

### WIDTHS

    public static final PjName WIDTHS

### XHEIGHT

    public static final PjName XHEIGHT

### XOBJECT

    public static final PjName XOBJECT

Constructor Detail

### PjName

    public PjName(java.lang.String s)

  Creates a name object.
  Parameters:
    `s` - the string value to initialize this object to.

Method Detail

### getString

    public java.lang.String getString()

  Returns the string value of this object.
  Returns:
    the string value of this object.

### writePdf

    public long writePdf(java.io.OutputStream os)
                  throws java.io.IOException

  Writes this name to a stream in PDF format.
  Overrides:
    `writePdf` in class `BaseObject`
  Parameters:
    `os` - the stream to write to.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### equals

    public boolean equals(java.lang.Object obj)

  Compares two PjName objects for equality.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object to compare to.
  Returns:
    true if this object is the same as obj, false otherwise.

### clone

    public java.lang.Object clone()

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `BaseObject`
  Returns:
    a deep copy of this object.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hashcode value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD